import typescript from 'rollup-plugin-typescript2'
import commonjs from '@rollup/plugin-commonjs'
import { nodeResolve } from '@rollup/plugin-node-resolve'
import { resolve } from 'path'
import dts from 'rollup-plugin-dts'
import { defineConfig } from 'rollup'

export default defineConfig([
  {
    input: resolve('src', 'index.ts'),
    output: [
      { format: 'esm', file: resolve('dist', 'index.js') },
    ],
    external:[
      '@geotify/shared',
      'axios',
    ],
    plugins: [
      typescript({
      }),
      commonjs({
      }),
      nodeResolve(),
    ]
  },
  {
    input: resolve('src', 'index.ts'),
    output: [
      { format: 'esm', file: resolve('dist', 'index.d.ts') },
    ],
    plugins: [dts({
      compilerOptions: {
        removeComments: true,
      }
    })],
  },
])
